View Issue Details

IDProjectCategoryView StatusLast Update
0000510Far Manager 1.7xDialogpublic2008-03-30 05:01
ReporterNightRomanAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP1
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000510: Тип FarDialogEvent.Result должен быть PLONG_PTR, а не LONG_PTR
DescriptionСейчас тип FarDialogEvent.Result - LONG_PTR, неудобно, кастинги надо делать непонятно зачем, а должен быть PLONG_PTR, потому что это указатель, по определению. Это не breaking change, ни у кого вроде ничего не должно отвалиться ни бинарно (sizeof тот же), ни при компиляции, в худшем случае, будет приведение PLONG_PTR к нему же - масло масляное, но это не должно быть ошибкой, на первый взгляд.
TagsNo tags attached.
Build2346

Activities

alexy

2008-03-25 20:01

administrator   bugnote:0001429

Тут надо подумать, я что то вообще не понимаю почему Result это указатель а не то что вернул/возвратит обработчик. Надо как я думаю переделать пока не поздно и тогда PLONG_PTR будет не причём.

DrKnS

2008-03-26 05:36

administrator   bugnote:0001431

Хм... Действительно.
Тогда, пока никто не использовал это в плагинах, делаем Result просто возвращаемым значением.
После 2346/462.
Писание поправлено.

NightRoman

2008-03-26 07:55

reporter   bugnote:0001432

я уже заюзал, кой у кого что-то может отвалится (не у многих). но согласен, пока не очень поздно, лучше переделать.

Issue History

Date Modified Username Field Change
2008-03-25 11:46 NightRoman New Issue
2008-03-25 20:01 alexy Note Added: 0001429
2008-03-25 20:01 alexy Status new => assigned
2008-03-25 20:01 alexy Assigned To => DrKnS
2008-03-26 05:36 DrKnS Note Added: 0001431
2008-03-26 05:36 DrKnS Status assigned => feedback
2008-03-26 07:55 NightRoman Note Added: 0001432
2008-03-30 05:01 DrKnS Build => 2346
2008-03-30 05:01 DrKnS Status feedback => closed
2008-03-30 05:01 DrKnS Resolution open => fixed
2008-03-30 05:01 DrKnS Fixed in Version => 1.71